Loading...
Searching...
No Matches
gx_resample::FixedRateResampler Class Reference

`#include <gx_resampler.h>`

## Public Member Functions

int | setup (int _inputRate, int _outputRate)
int | up (int count, float *input, float *output)
void | down (float *input, float *output)
int | max_out_count (int in_count)

## Private Attributes

Resampler | r_up
Resampler | r_down
int | inputRate
int | outputRate

## Detailed Description

Definition at line 65 of file gx_resampler.h.

## Member Function Documentation

## down()

void gx_resample::FixedRateResampler::down | ( | float * | input,
|  | float * | output )

## max_out_count()

int gx_resample::FixedRateResampler::max_out_count | ( | int | in_count | ) |

inline

Definition at line 73 of file gx_resampler.h.

## setup()

int gx_resample::FixedRateResampler::setup | ( | int | _inputRate,
|  | int | _outputRate )

## up()

int gx_resample::FixedRateResampler::up | ( | int | count,
|  | float * | input,
|  | float * | output )

## Member Data Documentation

## inputRate

int gx_resample::FixedRateResampler::inputRate

private

Definition at line 68 of file gx_resampler.h.

Referenced by max_out_count().

## outputRate

int gx_resample::FixedRateResampler::outputRate

private

Definition at line 68 of file gx_resampler.h.

Referenced by max_out_count().

## r_down

Resampler gx_resample::FixedRateResampler::r_down

private

Definition at line 67 of file gx_resampler.h.

## r_up

Resampler gx_resample::FixedRateResampler::r_up

private

Definition at line 67 of file gx_resampler.h.

The documentation for this class was generated from the following file:

- src/headers/gx_resampler.h